Skip to content

Post an Ocean textual representation to create a persistable reference

Request

Post a request containing an Ocean textual representation to create a persistable reference.

Security
bearer
Headers
data-partition-idstringrequired

desired data partition id.

Bodyapplication/jsonrequired
oceanTextualRepresentationstringrequired

The Ocean textual representation string

Example:"ESRI,PE_10_3_1: <?xml version=\"1.0\" encoding=\"utf-16\"?><ILateBoundCoordinateReferenceSystem name=\"GCS_WGS_1984\"><AuthorityCode>EPSG,4326</Autho
curl -i -X POST \
  https://as5.api.enterprisedata.slb.com/api/spatial-ref/v1/persistableReference/fromOceanTextualReference \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'data-partition-id: string' \
  -d '{
    "oceanTextualRepresentation": "ESRI,PE_10_3_1: <?xml version=\"1.0\" encoding=\"utf-16\"?><ILateBoundCoordinateReferenceSystem name=\"GCS_WGS_1984\"><AuthorityCode>EPSG,4326</AuthorityCode></ILateBoundCoordinateReferenceSystem>"
  }'

Responses

Success: Ocean to persistable reference conversion successful

Bodyapplication/json
oceanTextualRepresentationstringrequired

The input Ocean textual representation

Example:"ESRI,PE_10_3_1: <?xml version=\"1.0\" encoding=\"utf-16\"?><ILateBoundCoordinateReferenceSystem name=\"GCS_WGS_1984\"><AuthorityCode>EPSG,4326</Autho
persistableReferencestringrequired

The created persistable reference on success; null on error

Example:"{\"wkt\":\"GEOGCS[\\\"GCS_WGS_1984\\\",DATUM[\\\"D_WGS_1984\\\",SPHEROID[\\\"WGS_1984\\\",6378137.0,298.257223563]],PRIMEM[\\\"Greenwich\\\",0.0],UNI
statusInformationstringrequired

Information about the status of the conversion operation; e.g. 'Success' on success

Example:"Success"
Response
{ "oceanTextualRepresentation": "ESRI,PE_10_3_1: <?xml version=\"1.0\" encoding=\"utf-16\"?><ILateBoundCoordinateReferenceSystem name=\"GCS_WGS_1984\"><AuthorityCode>EPSG,4326</AuthorityCode></ILateBoundCoordinateReferenceSystem>", "persistableReference": "{\"wkt\":\"GEOGCS[\\\"GCS_WGS_1984\\\",DATUM[\\\"D_WGS_1984\\\",SPHEROID[\\\"WGS_1984\\\",6378137.0,298.257223563]],PRIMEM[\\\"Greenwich\\\",0.0],UNIT[\\\"Degree\\\",0.0174532925199433],AUTHORITY[\\\"EPSG\\\",4326]]\",\"ver\":\"PE_10_3_1\",\"name\":\"GCS_WGS_1984\",\"authCode\":{\"auth\":\"EPSG\",\"code\":\"4326\"},\"type\":\"LBC\"}", "statusInformation": "Success" }